Post by Qphoria » Mon Aug 01, 2016 1:28 am

I've just confirmed many of the fixes over the past month on the release candidate did not make it into the 2.3.0.0 or 2.3.0.1 builds. Do not use these. The changes are in the repo but for some reason the zip file that was created wasn't made from the correct version.

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by Johnathan » Mon Aug 01, 2016 1:44 am

Daniel or James: when you release a fixed 2.3.0.2 build, please remove the 2.3.0.0 and 2.3.0.1 links from the download list. People seem to still download old versions even when the newer one is available, for whatever reason.

Image
Image Image Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by Qphoria » Mon Aug 01, 2016 1:52 am

Johnathan wrote:Daniel or James: when you release a fixed 2.3.0.2 build, please remove the 2.3.0.0 and 2.3.0.1 links from the download list. People seem to still download old versions even when the newer one is available, for whatever reason.
Agreed.... leaving bad builds available has always caused problems. At this point I'd almost say skip 2.3 and remove all traces from the download list and jump straight to 2.4 to avoid any further confusion.

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by straightlight » Mon Aug 01, 2016 1:53 am

Qphoria wrote:
Johnathan wrote:Daniel or James: when you release a fixed 2.3.0.2 build, please remove the 2.3.0.0 and 2.3.0.1 links from the download list. People seem to still download old versions even when the newer one is available, for whatever reason.
Agreed.... leaving bad builds available has always caused problems. At this point I'd almost say skip 2.3 and remove all traces from the download list and jump straight to 2.4 to avoid any further confusion.
I definitely agree to that ...

Tired of paying for service fees to export your database from other databases over Opencart?

Try those extensions for FREE: http://www.opencart.com/index.php?route ... aightlight

Regards,
Straightlight


Newbie

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by JNeuhoff » Mon Aug 01, 2016 5:31 am

How was is possible that the many fixes from 2.3.0.0-b1 haven't been incorporated to the 2.3.0.0 and 2.3.0.1 releases? Is there something wrong with github? IMHO there are better source code management systems, but even with github it should have been possible to keep all the previous bugfixes in the 2.3.0.0 and 2.3.0.1 versions.

2.3.0.0-b1 seems to be quite stable. I'll wait till 2.3.0.2 before releasing any software for the 2.3.x series of OpenCart.

As was suggested in this forum thread, the download links for the ZIP-files for 2.3.0.0 and 2.3.0.1 should be removed. May I also suggest the removal of the corresponding tags on github, if that is possible?

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool


User avatar
Newbie

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by JNeuhoff » Mon Aug 01, 2016 5:41 am

Qphoria wrote:I've just confirmed many of the fixes over the past month on the release candidate did not make it into the 2.3.0.0 or 2.3.0.1 builds. Do not use these. The changes are in the repo but for some reason the zip file that was created wasn't made from the correct version.
Will github's Clone or download work for e.g. the 2.3.0.0 or 2.3.0.1 tags? Or has it the same problem with the missing bugfixes?

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool


User avatar
Newbie

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by harnishdesign » Mon Aug 01, 2016 3:05 pm

also, Please add full change log list here -
https://github.com/opencart/opencart/bl ... angelog.md

OpenCart themes: Marketshop Theme | Bigshop Theme | Moderns Theme

www.harnishdesign.net - OpenCart News, Themes and Tutorials.


User avatar
Newbie

Posts

Joined
Thu Jan 26, 2012 12:39 am
Location - India

Post by Qphoria » Mon Aug 01, 2016 7:55 pm

JNeuhoff wrote:
Qphoria wrote:I've just confirmed many of the fixes over the past month on the release candidate did not make it into the 2.3.0.0 or 2.3.0.1 builds. Do not use these. The changes are in the repo but for some reason the zip file that was created wasn't made from the correct version.
Will github's Clone or download work for e.g. the 2.3.0.0 or 2.3.0.1 tags? Or has it the same problem with the missing bugfixes?
It will now. The issue was there were a bunch of fixes that weren't accepted for merge. TortoiseGit shows any committed change to the files so I was seeing it in the log, but the actual changes hadn't been accepted and merged into the master. It has been updated now so the current master trunk should be functional. New version should be released today. In my preliminary testing, upgrade worked fine and most other features at a high-level were working.

Still noticed that saving a 2.2x module doesn't work so you will need to start updating your mods for 2.3 support

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by Dreamvention » Mon Aug 01, 2016 11:36 pm

Hi guys! Glad to see a new release.

1. one thing that I have noticed was the backwards compatibility thing - it would not support install and uninstall methods in the older modules controllers.

this is because the compatibility event would simple drop these methods off and only load the index.

I have made a simple fix.

https://github.com/opencart/opencart/pull/4715

2. also there is the permission issue - now it would add permissions to the new modules folder structure but not to the old.

so permissions will never be given to module/[codename] or payment/[codename] etc and only to extension/module/[codename] etc.

the fix is in this pull request by OpenCartAddons https://github.com/opencart/opencart/pull/4712

Please add this to the next release since without this I will need to ship a vqmod/ocmod patch with all of my modules and that really sucks. i am sure lots of developers will appreciate it. ;)


thanks! The Dreamvention team

AJAX QUICK CHECKOUT - #1 one-page checkout solution
VISUAL DESIGNER - the first live page builder for Opencart
SEO MODULE - the first professional SEO extension for Opencart

Shopunity - install modules with a click of a button from the shopunity network for opencart


User avatar
Newbie

Posts

Joined
Sun Jun 17, 2012 7:04 pm
Location - Europe

Post by Johnathan » Mon Aug 01, 2016 11:51 pm

Dreamvention wrote:Hi guys! Glad to see a new release.

1. one thing that I have noticed was the backwards compatibility thing - it would not support install and uninstall methods in the older modules controllers.

this is because the compatibility event would simple drop these methods off and only load the index.

I have made a simple fix.

https://github.com/opencart/opencart/pull/4715

2. also there is the permission issue - now it would add permissions to the new modules folder structure but not to the old.

so permissions will never be given to module/[codename] or payment/[codename] etc and only to extension/module/[codename] etc.

the fix is in this pull request by OpenCartAddons https://github.com/opencart/opencart/pull/4712

Please add this to the next release since without this I will need to ship a vqmod/ocmod patch with all of my modules and that really sucks. i am sure lots of developers will appreciate it. ;)
I already made mod suggestions to fix both of the issues you mention, and Daniel said he would add them to 2.3, but they were not added. The issue I reported was closed, so I assume they intentionally left the fixes I suggested out.

Image
Image Image Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by slavib » Tue Aug 02, 2016 2:20 am

Please tell which version is stable to start work

Newbie

Posts

Joined
Wed Sep 11, 2013 4:13 am

Post by straightlight » Tue Aug 02, 2016 2:25 am

slavib wrote:Please tell which version is stable to start work
Opencart v2.3.0.2 is the stable version, so far.

Tired of paying for service fees to export your database from other databases over Opencart?

Try those extensions for FREE: http://www.opencart.com/index.php?route ... aightlight

Regards,
Straightlight


Newbie

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by slavib » Tue Aug 02, 2016 2:30 am

I had in mind expect soon a new version.
Someone mentioned to 2.4

Newbie

Posts

Joined
Wed Sep 11, 2013 4:13 am

Post by straightlight » Tue Aug 02, 2016 2:34 am

slavib wrote:I had in mind expect soon a new version.
Someone mentioned to 2.4
The ones listed in the downloads list, other than v2.3.0.0 and v2.3.0.1, are the official releases and the v2.3.0.2 is the latest. It would be best to wait until the version shows on the downloads list or announced on the forum before expecting future releases. ;)

Tired of paying for service fees to export your database from other databases over Opencart?

Try those extensions for FREE: http://www.opencart.com/index.php?route ... aightlight

Regards,
Straightlight


Newbie

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by slavib » Tue Aug 02, 2016 4:35 am

I understand completely.
But I think it's good to have an official statement.
Now we guess what happens

Newbie

Posts

Joined
Wed Sep 11, 2013 4:13 am

Post by straightlight » Tue Aug 02, 2016 4:36 am

slavib wrote:I understand completely.
But I think it's good to have an official statement.
The official statement is already written into the parentheses of the downloads list where it indicates: (latest version) . If this fact must be differed, eventually, an administrator will confirm it.

Tired of paying for service fees to export your database from other databases over Opencart?

Try those extensions for FREE: http://www.opencart.com/index.php?route ... aightlight

Regards,
Straightlight


Newbie

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by slavib » Tue Aug 02, 2016 4:52 am

Hi :)
I do not ask what is the latest version.
Will there be a new version?

Newbie

Posts

Joined
Wed Sep 11, 2013 4:13 am

Post by straightlight » Tue Aug 02, 2016 4:56 am

slavib wrote:Hi :)
I do not ask what is the latest version.
Will there be a new version?
A new version was just officially released today. There are no determined period to know when a new release will be unleashed until an official announcement has been made.

Tired of paying for service fees to export your database from other databases over Opencart?

Try those extensions for FREE: http://www.opencart.com/index.php?route ... aightlight

Regards,
Straightlight


Newbie

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Dreamvention » Tue Aug 02, 2016 6:54 am

Johnathan wrote:
Dreamvention wrote:Hi guys! Glad to see a new release.

1. one thing that I have noticed was the backwards compatibility thing - it would not support install and uninstall methods in the older modules controllers.

this is because the compatibility event would simple drop these methods off and only load the index.

I have made a simple fix.

https://github.com/opencart/opencart/pull/4715

2. also there is the permission issue - now it would add permissions to the new modules folder structure but not to the old.

so permissions will never be given to module/[codename] or payment/[codename] etc and only to extension/module/[codename] etc.

the fix is in this pull request by OpenCartAddons https://github.com/opencart/opencart/pull/4712

Please add this to the next release since without this I will need to ship a vqmod/ocmod patch with all of my modules and that really sucks. i am sure lots of developers will appreciate it. ;)
I already made mod suggestions to fix both of the issues you mention, and Daniel said he would add them to 2.3, but they were not added. The issue I reported was closed, so I assume they intentionally left the fixes I suggested out.
thats really sad. well then i guess vqmod/ocmod will still come in handy

AJAX QUICK CHECKOUT - #1 one-page checkout solution
VISUAL DESIGNER - the first live page builder for Opencart
SEO MODULE - the first professional SEO extension for Opencart

Shopunity - install modules with a click of a button from the shopunity network for opencart


User avatar
Newbie

Posts

Joined
Sun Jun 17, 2012 7:04 pm
Location - Europe

Post by imakeitwork » Tue Aug 02, 2016 5:09 pm

Personally I don't understand version release system in OpenCart. It's like Lancia car manufacturer 30 years ago - built cars without brakes or with any other huge problems, but instead of fixing them they sold them. Now customers will scream that
OpenCart doesn't work out of the box, extensions do not work, and so on.

Why not doing it a bit different in the download page - add version v2.x.x.x OFFICIAL BETA. Everyone who tries could report bugs. After some time add fixed version named v2.x.x.x FINAL. No confusion for general users, no big difference for developers. And we could have fully working (at least without extreme issues) OpenCart releases.

ImakeITwork.net - OpenCart extensions that save time and simplify administration
Image Image


Newbie

Posts

Joined
Mon May 05, 2014 5:07 pm

Who is online

Users browsing this forum: No registered users and 1 guest